Skip to content
Last updated

Get and update cursor state for connection streams.

Get state

GEThttps://api.aitronos.com/v1/organizations/{organization_id}/knowledge/connectors/connections/{connection_id}/state

Returns the cursor state for all streams in a connection.

Path Parameters

connection_id string required

The connection ID.


Update state

PATCHhttps://api.aitronos.com/v1/organizations/{organization_id}/knowledge/connectors/connections/{connection_id}/state

Edit cursor state to restart syncing from a specific point.

Request Body

state object required

Updated cursor state for streams.

state_type string optional

State type (e.g., global, stream, legacy).


Returns

A state object containing state (the cursor data) and state_type.

cURL
curl "https://api.aitronos.com/v1/organizations/org_xyz789/knowledge/connectors/connections/conn_abc123/state" \
  -H "Authorization: Bearer $ACCESS_TOKEN"